Update Profile
PATCH
/api/v1/projects/{project_id}/profiles/{profile_id}
const url = 'https://api.totalview.energy/api/v1/projects/example/profiles/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"profile_label":"example","confidence_level":1,"is_primary":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.totalview.energy/api/v1/projects/example/profiles/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "profile_label": "example", "confidence_level": 1, "is_primary": true }'Update profile metadata (label, primary flag).
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” project_id
required
Project Id
string
profile_id
required
Profile Id
string
Request Body required
Section titled “Request Body required ” Media type application/json
Responses
Section titled “ Responses ”Successful Response
Media type application/json
ProfileOut
Response schema for a generation profile.
object
profile_id
required
Profile Id
string format: uuid
project_id
required
Project Id
string format: uuid
profile_label
required
Profile Label
string
is_primary
Is Primary
boolean
Example
{ "is_primary": false}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}